# services/maintenance/networking/metis-ingress.yaml
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: metis
  namespace: maintenance
  annotations:
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    traefik.ingress.kubernetes.io/router.middlewares: ""
spec:
  ingressClassName: traefik
  tls:
    - hosts: ["recovery.bstein.dev"]
      secretName: recovery-tls
  rules:
    - host: recovery.bstein.dev
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: oauth2-proxy-metis
                port:
                  number: 80
